## golang-github-xiaq-persistent 0.0~git20180105.221501f

=== Makefile ===
PKG_BASE := github.com/xiaq/persistent
PKGS := $(shell go list ./... | grep -v /vendor/)
PKG_COVERS := $(shell go list ./... | grep -v '^$(PKG_BASE)/vendor/' | grep -v '^$(PKG_BASE)$$' | sed "s|^$(PKG_BASE)/|cover/|" | sed 's/$$/.cover/')
COVER_MODE := set

FIRST_GOPATH=$(shell go env GOPATH | cut -d: -f1)

default: get test

get:
	go get .

generate:
	go generate ./...

test:
	go test $(PKGS)

cover/%.cover: %
	mkdir -p $(dir $@)
	go test -coverprofile=$@ -covermode=$(COVER_MODE) ./$<

cover/all: $(PKG_COVERS)
	echo mode: $(COVER_MODE) > $@
	for f in $(PKG_COVERS); do test -f $$f && sed 1d $$f >> $@ || true; done

# We would love to test for coverage in pull requests, but it's now
# bettered turned off for two reasons:
#
# 1) The goverall badge will always show the "latest" coverage, even if that
# comes from a PR.
#
# 2) Some of the tests have fluctuating coverage (the test against
# edit.tty.AsyncReader), and goveralls will put a big cross on the PR when the
# coverage happens to drop.
goveralls: cover/all
	test "$(TRAVIS_PULL_REQUEST)" = false \
		&& go get -u github.com/mattn/goveralls \
		&& $(FIRST_GOPATH)/bin/goveralls -coverprofile=cover/all -service=travis-ci \
		|| echo "not sending to coveralls"

travis: goveralls

.PHONY: default get generate test goveralls upload travis

## golang-github-xiaq-persistent 0.0~git20170614.0.06adb7b

=== debian/changelog ===
golang-github-xiaq-persistent (0.0~git20170614.0.06adb7b-1) unstable; urgency=medium

  * Initial release (Closes: #867525)

 -- Shengjing Zhu <i@zhsj.me>  Thu, 06 Jul 2017 18:03:38 +0800

=== debian/control ===
Source: golang-github-xiaq-persistent
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 4.0.0
Homepage: https://github.com/xiaq/persistent
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-xiaq-persistent.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-xiaq-persistent.git
XS-Go-Import-Path: github.com/xiaq/persistent
Testsuite: autopkgtest-pkg-go

Package: golang-github-xiaq-persistent-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Persistent data structure in Go
 This is a Go clone of Clojure's persistent data structures.

## golang-github-xiaq-persistent 0.0~git20170830.75c17f0

=== debian/changelog ===
golang-github-xiaq-persistent (0.0~git20170830.75c17f0-1) unstable; urgency=medium

  * New upstream version 0.0~git20170830.75c17f0
  * Update Standards-Versin to 4.1.0 (no changes)

 -- Shengjing Zhu <i@zhsj.me>  Tue, 19 Sep 2017 20:46:32 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://github.com/xiaq/persistent
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-xiaq-persistent.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-xiaq-persistent.git

## golang-github-xiaq-persistent 0.0~git20180105.221501f

=== debian/changelog ===
golang-github-xiaq-persistent (0.0~git20180105.221501f-2) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:30:43 -0500

golang-github-xiaq-persistent (0.0~git20180105.221501f-1.1) unstable; urgency=medium

  * Team upload.
  * Point Vcs-* urls to salsa subgroup.

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 18:56:50 -0500

golang-github-xiaq-persistent (0.0~git20180105.221501f-1) unstable; urgency=medium

  * New upstream version 0.0~git20180105.221501f
  * update compat and debhelper to version 11
  * d/control: change vcs to salsa.d.o
  * d/control: update Standards-Versin to 4.1.3 (no changes)
  * d/control: run wrap-and-sort -ta

 -- Shengjing Zhu <i@zhsj.me>  Mon, 15 Jan 2018 22:40:46 +0800

=== debian/control ===
Source: golang-github-xiaq-persistent
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>,
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
Standards-Version: 4.1.3
Homepage: https://github.com/xiaq/persistent
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xiaq-persistent
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xiaq-persistent.git
XS-Go-Import-Path: github.com/xiaq/persistent
Testsuite: autopkgtest-pkg-go

Package: golang-github-xiaq-persistent-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Persistent data structure in Go
 This is a Go clone of Clojure's persistent data structures.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-xiaq-persistent-$1.tar.gz%" \
  https://github.com/xiaq/persistent/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## golang-github-xiaq-persistent 0.0~git20180301.cd415c6

=== debian/changelog ===
golang-github-xiaq-persistent (0.0~git20180301.cd415c6-1) unstable; urgency=medium

  [ Michael Stapelberg ]
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)

  [ Shengjing Zhu ]
  * New upstream snapshot git20180301.cd415c6.
  * d/watch: use git mode.
  * d/control: update Standards-Version to 4.1.4 (no changes).

 -- Shengjing Zhu <i@zhsj.me>  Wed, 27 Jun 2018 02:34:30 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/xiaq/persistent
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xiaq-persistent
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xiaq-persistent.git

## golang-github-xiaq-persistent 0.0~git20190312.a1d9ac4

=== debian/changelog ===
golang-github-xiaq-persistent (0.0~git20190312.a1d9ac4-1) unstable; urgency=medium

  * New upstream snapshot git20190312.a1d9ac4
  * Update Maintainer and Uploaders address to {tracker,}.debian.org
  * Update debhelper-compat to 12 with new syntax
  * Set Rules-Requires-Root to no
  * Update Standards-Version to 4.4.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 30 Dec 2019 23:01:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: golang-github-xiaq-persistent
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Shengjing Zhu <i@zhsj.me>,
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Shengjing Zhu <zhsj@debian.org>,
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/xiaq/persistent
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xiaq-persistent
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xiaq-persistent.git
 XS-Go-Import-Path: github.com/xiaq/persistent

## golang-github-xiaq-persistent 0.0~git20200820.3175cfb

=== debian/changelog ===
golang-github-xiaq-persistent (0.0~git20200820.3175cfb-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Apply multi-arch hints.

  [ Shengjing Zhu ]
  * New upstream version 0.0~git20200820.3175cfb
  * Update Section to golang
  * Bump debhelper-compat to 13
  * Update Standards-Version to 4.5.1

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Jan 2021 03:34:26 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: golang-github-xiaq-persistent
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/xiaq/persistent
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xiaq-persistent
@@ -18,5 +18,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Multi-Arch: foreign
 Description: Persistent data structure in Go
  This is a Go clone of Clojure's persistent data structures.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/xiaq/persistent/ \
  HEAD
